%define modname mongo
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B04_%{modname}.ini

Summary:	Mongo Database Driver
Name:		php-%{modname}
Version:	1.6.13
Release:	%mkrel 1
Group:		Development/PHP
License:	Apache License
URL:		http://pecl.php.net/package/mongo/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	mongo.ini
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0

%description
This package provides an interface for communicating with the Mongo database
in PHP.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib}
%make
mv modules/*.so .

%install

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}



%files 
%doc README.md package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Tue Mar 22 2016 oden <oden> 1.6.13-1.mga6
+ Revision: 993997
- 1.6.13

* Thu Feb 25 2016 oden <oden> 1.6.12-1.mga6
+ Revision: 979030
- 1.6.12

* Fri Feb 12 2016 umeabot <umeabot> 1.4.4-7.mga6
+ Revision: 958433
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4-6.mga5
+ Revision: 747283
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4-5.mga5
+ Revision: 687163
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1.4.4-4.mga5
+ Revision: 616574
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1.4.4-3.mga4
+ Revision: 567664
- Rebuild for new PHP

* Mon Oct 21 2013 umeabot <umeabot> 1.4.4-2.mga4
+ Revision: 537333
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 oden <oden> 1.4.4-1.mga4
+ Revision: 486813
- 1.4.4

* Fri Aug 16 2013 oden <oden> 1.4.3-1.mga4
+ Revision: 466817
- 1.4.3

* Thu Jun 13 2013 oden <oden> 1.4.1-1.mga4
+ Revision: 442848
- 1.4.1

* Fri May 24 2013 spuhler <spuhler> 1.4.0-1.mga4
+ Revision: 425770
- upgrade to 1.4.0
- some spec cleanup

* Tue Feb 12 2013 luigiwalser <luigiwalser> 1.3.4-1.mga3
+ Revision: 398106
- 1.3.4

  + oden <oden>
    - 1.3.3

* Wed Jan 30 2013 oden <oden> 1.3.1-3.mga3
+ Revision: 393388
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1.3.1-2.mga3
+ Revision: 375872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 fwang <fwang> 1.3.1-1.mga3
+ Revision: 331277
- new version 1.3.1

* Sat Dec 01 2012 fwang <fwang> 1.3.0-1.mga3
+ Revision: 324140
- new version 1.3.0

* Sat Jul 28 2012 spuhler <spuhler> 1.2.12-1.mga3
+ Revision: 275493
- upgrade to 1.2.12

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1.2.6-3.mga2
+ Revision: 223919
- httpd restart is handled by filetriggers now

* Thu Dec 22 2011 spuhler <spuhler> 1.2.6-2.mga2
+ Revision: 185680
- rebuild against php-5.3.9

* Wed Nov 02 2011 fwang <fwang> 1.2.6-1.mga2
+ Revision: 161550
- new version 1.2.6

* Sat Sep 24 2011 fwang <fwang> 1.2.5-1.mga2
+ Revision: 147235
- new version 1.2.5
- new version 1.2.2

* Mon Jul 18 2011 fwang <fwang> 1.2.1-1.mga2
+ Revision: 125900
- new version 1.2.1

* Mon Feb 07 2011 spuhler <spuhler> 1.1.3-1.mga1
+ Revision: 48126
- removed buildroot definition from .spec
- imported package php-mongo

